Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.asn1
Class ASN1Object

    java.lang.Object
      com.mindbright.asn1.ASN1Object

Direct Known Subclasses:
  ASN1Boolean, ASN1DynamicType, ASN1Implicit, ASN1Integer, ASN1Null, ASN1OID, ASN1String, ASN1Structure

public abstract class ASN1Object
extends java.lang.Object

Field Summary
`protected boolean` | `isSet`
`protected int` | `tag`

Constructor Summary
`protected` | `ASN1Object(int tag)`

Method Summary
`protected void` | `decodeValue(ASN1Decoder decoder, java.io.InputStream in, int len)`
`void` | `decodeValue(ASN1Decoder decoder, java.io.InputStream in, int tag, int len)`
`abstract int` | `encodeValue(ASN1Encoder encoder, java.io.OutputStream out)`
`int` | `getTag()`
`java.lang.String` | `getType()`
`boolean` | `isSet()`
`void` | `setValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    protected int tag

### isSet

    protected boolean isSet

Constructor Detail

### ASN1Object

    protected ASN1Object(int tag)

Method Detail

### getTag

    public final int getTag()

### getType

    public java.lang.String getType()

### setValue

    public void setValue()

### isSet

    public boolean isSet()

### decodeValue

    public void decodeValue(ASN1Decoder decoder,
                            java.io.InputStream in,
                            int tag,
                            int len)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeValue

    protected void decodeValue(ASN1Decoder decoder,
                               java.io.InputStream in,
                               int len)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeValue

    public abstract int encodeValue(ASN1Encoder encoder,
                                    java.io.OutputStream out)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD